import csv
import io
import re

def csv_to_reader(filename):
    """Read a csv and convert it into a csv.reader."""
    with open(filename, newline='', encoding='utf-8') as f:
        csv_in = f.read()
    return csv.reader(io.StringIO(csv_in))

def empty(str_):
    if re.match("^\s*$", str_, re.MULTILINE):
        return True
    return False
